Bug 41317 - rpm source rpm fails make check
Summary: rpm source rpm fails make check
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.3
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-18 18:18 UTC by David Lawrence
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 20:40:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failed rpm make check of rpm source package (32.61 KB, text/plain)
2001-05-18 18:19 UTC, David Lawrence
no flags Details

Description David Lawrence 2001-05-18 18:18:46 UTC
Description of Problem:

When building the rpm-4.0.3-0.6 source rpm on a 7.1 alpha RC1 machine I get
5 out 11 tests fail. 

rpm -Uvh rpm-4.0.3-0.6.src.rpm
cd /usr/src/redhat/SPECS
rpmbuild -bc rpm.spec
cd ../BUILD/rpm-4.0.3/
make check

I have attached the output from the following make check command to this
bug report.

Comment 1 David Lawrence 2001-05-18 18:19:34 UTC
Created attachment 18950 [details]
Failed rpm make check of rpm source package

Comment 2 Jeff Johnson 2001-05-20 13:01:24 UTC
The make check in rpm is doing exactly what it's always done.

Why do you care?

Comment 3 Preston Brown 2001-05-21 20:31:35 UTC
so let me get this straight: make check is known broken, right?


Comment 4 Jeff Johnson 2001-05-21 20:40:47 UTC
No it's not broken, it just doesn't do what you are expecting it too. It
checks that headers are identical within known differences, that's not
a very strong test of rpm functionality at all, and requires more than
	No output means it passes.
to analyze.

Look if you want me to write a "make check", I will do so. I've suggested
exactly this several times, and been pointedly discouraged from doing so
by both ewt and gafton.

Comment 5 Jeff Johnson 2001-05-23 19:27:17 UTC
Closing for now add a RFE: for "make check" if necessary/desired.


Note You need to log in before you can comment on or make changes to this bug.